GET
/admin/global-tenant-list
const url = 'https://example.com/admin/global-tenant-list';const options = {method: 'GET', headers: {'X-Tenzir-AdminKey': '<X-Tenzir-AdminKey>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/admin/global-tenant-list \ --header 'X-Tenzir-AdminKey: <X-Tenzir-AdminKey>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
Response List Tenants Endpoint Admin Global Tenant List Get
Array<object>
Tenantobject
id
required
Id
string
owner
required
create_date_time
required
Create Date Time
string format: date-time
nodes
required
Nodes
Array<object>
Nodeobject
name
required
Name
string
key
required
Key
string
id
required
Id
string
create_date_time
required
Create Date Time
string format: date-time
demo
required
Demo
boolean
ephemeral
Ephemeral
boolean
auth_functions
Auth Functions
Array
Any of:
UserAuthFunction
object
auth_fn
Auth Fn
string
user_id
required
User Id
string
EmailDomainFunction
Grants access for users from a specific connection (e.g. gmail) having email addresses from a given domain (e.g. @tenzir.com)
OrganizationRoleFunction
Grants access to users who have some role in some organization.
OrganizationMembershipFunction
Grants access to users that belong to some organization.
AllowAllAuthFunction
object
auth_fn
Auth Fn
string
name
Name
string
icon_url
Icon Url
string
alerts
metrics_opt_out
Metrics Opt Out
boolean
secret_stores
Secret Stores
Array<object>
SecretStoreDetailsobject
type
required
SecretStoreType
string
id
required
Id
string
name
required
Name
string
is_writable
required
Is Writable
boolean
is_deletable
required
Is Deletable
boolean
options
required
Any of:
AwsWorkspaceSecretOptions
object
region
required
Region
string
assumed_role_arn
required
Assumed Role Arn
string
access_key
Any of:
AwsAccessKey
object
access_key_id
required
Access Key Id
string
secret_access_key
required
Secret Access Key
string format: password
null
BuiltinWorkspaceSecretOptions
object
derived_key
Any of:
DerivedKey
object
public_key
required
Public Key
string
keypath
required
Keypath
string
null
current_default_secret_store
Current Default Secret Store
string
Example
[ { "nodes": [ { "ephemeral": false } ], "auth_functions": [], "name": "", "icon_url": "", "alerts": {}, "metrics_opt_out": false, "secret_stores": [ { "type": "tenzir", "id": "default", "name": "Tenzir Platform", "is_writable": true, "is_deletable": false, "options": {} } ], "current_default_secret_store": "default" }]